using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MediII.Adapter.Scanner;
using MediII.Adapter.Scan.Interface; 

namespace MediII.Adapter.WinForm.Scanner
{
    class Program
    {
        static Scaner scanner = new Scaner();

        static void Main(string[] args)
        {

            //try
            //{

            //    var sca = new BizComponent_MFN();
            //}
            //catch (Exception ex)
            //{
            //    Console.WriteLine(ex.Message);
            //}

            args = new string[] { "UE" };
            if (args.Length > 0)
            {
                string dllPath = System.IO.Path.Combine(System.Windows.Forms.Application.StartupPath, args[0]);
                string path = Environment.GetEnvironmentVariable("path") + ";" + dllPath;
                Environment.SetEnvironmentVariable("path", path);
                scanner.Start(new string[] { dllPath });
            }
            Console.Read();
        }
    }
}
